[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.AntialiasingMode

Controls anti-aliasing for canvas drawing operations.

## Declaration

Source position: graphics.pp line 1173

`published property TCanvas.AntialiasingMode : TAntialiasingMode read FAntialiasingMode write SetAntialiasingMode default amDontCare;`

## Description

AntialiasingMode is a TAntialiasingMode property which indicates if smoothing is performed for drawing operations on the canvas. The default value for the property is amDontCare, and indicates that the default actions for the platform or operating system is used.

Setting a new value for the property causes the RealizeAntialiasing method to be called to apply settings in widgetset classes when a Handle has been allocated.

## See also

TAntialiasingMode |  | Represents anti-aliasing modes used in TCanvas.